Subject: [secdir] Secdir review of draft-westerlund-avtcore-multi-media-rtp-session-11

From: "Christian Huitema" <[email-masked]>
Date: Sun, 6 Dec 2015 17:00:03 -0800

I reviewed this document as part of the Security Directorate's ongoing

effort to review all IETF documents being processed by the IESG.  These

comments were written primarily for the benefit of the Security Area

Directors.  Document authors, document editors, and WG chairs should

treat these comments just like any other IETF Last Call comments.

Version reviewed: draft-westerlund-avtcore-multi-media-rtp-session-11

Summary: Ready

The draft proposes to allow RTP streams to carry multiple media streams, 

relaxing the opposite requirement expressed in RFC 3550 and RFC 3551. 

The draft is well written and easy to understand, from the motivation of 

easier session establishment to the various details of RTP that have 

to be taken care of.

The security session addresses the main security implication of carrying

multiple media in a single stream. Whereas previous each media could be

secured independently, all media multiplexed on a single stream will share 

the same security protections. This can be positive if the security of all

meets the most stringent requirement, or negative if the implementers

picked a lowest common denominator. I don't believe that there is much 

of a practical concern there.

-- Christian Huitema

---

From: "Christian Huitema" <[email-masked]>
Date: Sun, 6 Dec 2015 18:52:07 -0800

-- Resending with proper alias for draft authors

Summary: Ready

-- Christian Huitema